Bug 491617 (mingw32-libxml++)

Summary: Review Request: mingw32-libxml++ - MinGW Windows C++ wrapper for libxml2
Product: [Fedora] Fedora Reporter: Thomas Sailer <t.sailer>
Component: Package ReviewAssignee: Kalev Lember <kalevlember>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fedora-mingw, fedora-package-review, kalevlember, notting, rjones
Target Milestone: ---Flags: kalevlember: fedora-review+
kevin: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 2.26.0-1.fc11 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-04-22 00:48:51 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 492113    
Bug Blocks:    

Description Thomas Sailer 2009-03-23 11:11:45 UTC
Spec URL: http://sailer.fedorapeople.org/mingw32-libxml++.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libxml++-2.24.2-3.fc11.src.rpm
Description:
MinGW Windows C++ wrapper for libxml2.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW

Comment 1 Kalev Lember 2009-03-24 17:47:54 UTC
This package needs mingw32-glibmm24, which isn't included in Fedora and has to be submitted for review first.

Besides that, you'll also need:
BuildRequires: mingw32-gcc-c++

and pkgconfig because you have libxml++-2.6.pc in the package:
Requires: pkgconfig

Examples, manual, and reference shouldn't be included in the package because they duplicate docs in the native Fedora package.

Comment 2 Thomas Sailer 2009-03-25 09:32:24 UTC
You are right, mingw32-glibmm24 should go in first, I unfortunately noticed this only after submitting the review request.

Thank you for your intial review comments, I updated the package according to your comments:
http://sailer.fedorapeople.org/mingw32-libxml++.spec
http://sailer.fedorapeople.org/mingw32-libxml++-2.24.2-4.fc11.src.rpm

Comment 3 Richard W.M. Jones 2009-03-25 10:13:00 UTC
Please note that we have packaged mingw32-glibmm24:
http://hg.et.redhat.com/cgi-bin/hg-misc.cgi/fedora-mingw--devel/file/tip/glibmm24
It needs to be turned into a Review Request.

Comment 4 Kalev Lember 2009-04-16 19:52:15 UTC
mingw32-glibmm24 is now in Fedora and we can go on with this review.

- In Rawhide the native Fedora libxml++ package has been updated to 2.26.0, and
according to MinGW packaging guidelines the versions should match native
package if possible.

- Please clean up the %install section. It only makes the spec file unreadable if most of a section contains leftovers that aren't actually used.

- Removing *.a in %install section only matches the (needed) import library, because static libraries aren't built (configure --disable-static). It seems unnecessary to first delete the import lib and then manually copy it over from .libs.

Comment 5 Thomas Sailer 2009-04-17 07:46:49 UTC
Thanks!

I removed the docs cruft...

Spec URL: http://sailer.fedorapeople.org/mingw32-libxml++.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libxml++-2.26.0-1.fc11.src.rpm

Comment 6 Kalev Lember 2009-04-17 10:50:09 UTC
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1303634

Rpmlint is quiet:
$ rpmlint mingw32-libxml++-2.26.0-1.fc11.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint mingw32-libxml++-2.26.0-1.fc11.noarch.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 7 Kalev Lember 2009-04-17 11:36:17 UTC
Fedora review mingw32-libxml++-2.26.0-1.fc11.src.rpm 2008-04-17

+ OK
! needs attention


+ rpmlint output
+ Package is named according to Fedora MinGW packaging guidelines
+ Specfile name matches the package base name
+ Package follows the Fedora MinGW packaging guidelines
+ License meets guidelines and is acceptable to Fedora
  LGPLv2+
+ License matches the actual package license
  It is also the same as in the corresponding Fedora libxml++ package
+ The package contains the license file (COPYING)
+ Spec file is written in American English
+ Spec file is legible
+ Upstream sources match sources in the srpm
a52fc7e6e44bb5cc187672930b843f72  libxml++-2.26.0.tar.bz2
a52fc7e6e44bb5cc187672930b843f72  SRPM/libxml++-2.26.0.tar.bz2

+ Package builds in mock (Fedora Rawhide i586)
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ Does not use Prefix: /usr
+ Package owns all directories it creates
+ No duplicate files in %files
+ %files has %defattr
+ %clean contains rm -rf $RPM_BUILD_ROOT
+ Consistent use of macros
+ Package must contain code or permissible content
n/a Large documentation files should go in -doc subpackage
+ Files marked %doc should not affect package
n/a Header files should be in -devel
    Fedora MinGW guidelines allow headers in main package
n/a Static libraries should be in -static
+ Packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a Packages should not contain libtool .la files
    Fedora MinGW guidelines allow .la files
n/a Packages containing GUI apps must include %{name}.desktop file
+ Packages must not own files or directories owned by other packages
+ %install begins with rm -rf $RPM_BUILD_ROOT
+ Filenames must be valid UTF-8

After the %install cleanup dos2unix is no longer needed in BuildRequires, but that can be fixed without having to send an updated version for me to approve.


Package APPROVED.

Comment 8 Thomas Sailer 2009-04-17 11:50:10 UTC
New Package CVS Request
=======================
Package Name: mingw32-libxml++
Short Description: MinGW Windows C++ wrapper for libxml2
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:

Comment 9 Kevin Fenzi 2009-04-17 16:40:19 UTC
cvs done.

Comment 10 Fedora Update System 2009-04-17 20:59:00 UTC
mingw32-libxml++-2.26.0-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libxml++-2.26.0-1.fc11

Comment 11 Fedora Update System 2009-04-17 20:59:42 UTC
mingw32-libxml++-2.24.2-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libxml++-2.24.2-1.fc10

Comment 12 Fedora Update System 2009-04-22 00:48:46 UTC
mingw32-libxml++-2.24.2-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-05-09 04:04:22 UTC
mingw32-libxml++-2.26.0-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.